Install the Splunk SDK for Ruby

The Splunk SDK for Ruby is deprecated. For more information, see Deprecation notice.

There are several ways to install the Splunk® SDK for Ruby. Which one you choose depends on your comfort level and preference.

With Bundler

You can use Bundler to install the Splunk SDK for Ruby:

  1. Open a Terminal or Command Prompt window.
  2. Type the following at the prompt to install the latest version of Bundler:
    gem install bundler
    Windows users may have to change directories to that of the Ruby install to make this work.
  3. Type the following at the prompt to install the latest version of RubyGems:
    gem update --system
  4. To your app's Gemfile, add the following:
    gem 'splunk-sdk-ruby'
  5. Finally, run the following at the prompt:
    bundle

Without Bundler

If you prefer not to use Bundler, you can install the SDK by doing the following:

  1. Open a Terminal or Command Prompt window.
  2. Type the following at the prompt, pressing Enter after each line:
    gem build splunk-sdk-ruby.gemspec
    gem install splunk-sdk-ruby
    Windows users may have to change directories to that of the Ruby install to make this work.

RubyGems

You can also install the SDK from RubyGems, by doing the following:

  1. Open a Terminal or Command Prompt window.
  2. (Optional) Update RubyGems by typing the following at the prompt:
    gem update --system
  3. Type the following at the prompt:
    gem install splunk-sdk-ruby
    Windows users may have to change directories to that of the Ruby install to make this work.